//
// JigsawServletOutputStream.java
//
// Copyright (c) 1997 by Cornell University
// All rights reserved.
//
// Permission is hereby granted, without written agreement and without
// license or royalty fee, to use, copy, modify, and distribute this
// software and its documentation for any purpose, provided that the
// above copyright notice and the following two paragraphs appear in
// all copies of this software
//
// IN NO EVENT SHALL CORNELL UNIVERSITY BE LIABLE TO ANY PARTY FOR
// DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
// ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN
// IF CORNELL UNIVERSITY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH
// DAMAGE.
//
// CORNELL UNIVERSITY SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING,
// BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
// ON AN "AS IS" BASIS, AND CORNELL UNIVERSITY HAS NO OBLIGATION TO
// PROVIDE MAINTAINANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
//

// (c) COPYRIGHT MIT and INRIA, 1996.
// Please first read the full copyright statement in file COPYRIGHT.html

package w3c.jigsaw.slklet;

import java.io.*;

import java.servlet.*;


class JigsawServletOutputStream extends ServletOutputStream {
    DataOutputStream out = null;
    JigsawServletResponse resp = null;

    public void print(int i)
	throws IOException
    {
	    resp.emitHeaders();
	    out.writeBytes(Integer.toString(i));
    }

    public void print(long l)
	throws IOException
    {
	    resp.emitHeaders();
	    out.writeBytes(Long.toString(l));
    }

    public void print(String s)
	throws IOException
    {
	    resp.emitHeaders();
	    out.writeBytes(s);
    }

    public void println()
	throws IOException
    {
	    resp.emitHeaders();
	    out.writeBytes("\r\n");
    }

    public void println(int i)
	throws IOException
    {
	    resp.emitHeaders();
	    print(i); println();
    }

    public void println(long l)
	throws IOException
    {
	    resp.emitHeaders();
	    print(l); println();
    }

    public void println(String s)
	throws IOException
    {
	    resp.emitHeaders();
	    print(s); println();
    }

    public void write(int b) throws IOException {
	    resp.emitHeaders();
	    out.write(b);
    }

    public void write(byte b[]) throws IOException {
	    resp.emitHeaders();
	    out.write(b);
    }

    public void write(byte b[], int off, int len) throws IOException {
	    resp.emitHeaders();
	    out.write(b, off, len);
    }

    public void flush() throws IOException {
	    resp.emitHeaders();
	    out.flush();
    }

    public void close() throws IOException {
	    out.close();
    }

    JigsawServletOutputStream(JigsawServletResponse resp
			      , DataOutputStream out) {
	    this.out  = out;
	    this.resp = resp;
    }

}

