//
// ServletContextWrapperCP.java
//
// Copyright (c) 1997 by Cornell University
// All rights reserved.
//
// Permission is hereby granted, without written agreement and without
// license or royalty fee, to use, copy, modify, and distribute this
// software and its documentation for any purpose, provided that the
// above copyright notice and the following two paragraphs appear in
// all copies of this software
//
// IN NO EVENT SHALL CORNELL UNIVERSITY BE LIABLE TO ANY PARTY FOR
// DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
// ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN
// IF CORNELL UNIVERSITY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH
// DAMAGE.
//
// CORNELL UNIVERSITY SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING,
// BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
// ON AN "AS IS" BASIS, AND CORNELL UNIVERSITY HAS NO OBLIGATION TO
// PROVIDE MAINTAINANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
//

package w3c.jigsaw.slklet;

import java.servlet.*;
import java.util.*;

/**
 * ServletContextWrapperCP implements a SLK wrapper with caller thread
 * protection.
 */

public class ServletContextWrapperCP implements ServletContext
{
    private ServletContext context = null;

    public ServletContextWrapperCP(ServletContext context)
    {
        this.context = context;
    }

    public String getMimeType(String filename)
    {
        return context.getMimeType(filename);
    }

    public Servlet getServlet(String name)
    {
        return context.getServlet(name);
    }

    public Enumeration getServlets()
    {
        return context.getServlets();
    }

    public void log(Servlet servlet, String msg)
    {
        context.log(servlet, msg);
    }

    public String getRealPath(String path)
    {
        return context.getRealPath(path);
    }

    public String getServerInfo()
    {
        return context.getServerInfo();
    }

}
