//
// ServletWrapperCP.java
//
// Copyright (c) 1997 by Cornell University
// All rights reserved.
//
// Permission is hereby granted, without written agreement and without
// license or royalty fee, to use, copy, modify, and distribute this
// software and its documentation for any purpose, provided that the
// above copyright notice and the following two paragraphs appear in
// all copies of this software
//
// IN NO EVENT SHALL CORNELL UNIVERSITY BE LIABLE TO ANY PARTY FOR
// DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
// ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN
// IF CORNELL UNIVERSITY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH
// DAMAGE.
//
// CORNELL UNIVERSITY SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING,
// BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
// ON AN "AS IS" BASIS, AND CORNELL UNIVERSITY HAS NO OBLIGATION TO
// PROVIDE MAINTAINANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
//

package w3c.jigsaw.slklet;

import java.io.*;
import java.servlet.*;

/**
 * ServletWrapperCP implements a SLK wrapper with caller thread
 * protection. This serves as a sample CallerProtected wrapper
 * output for an automatic generator.
 */

public class ServletWrapperCP extends GenericServletWrapper
{
    private final static boolean debug = false;

    public ServletWrapperCP(Servlet servlet)
    {
        super(servlet);
    }

    public final void destroy()
    {
        servlet.destroy();
    }

    public final String getServletInfo()
    {
        return servlet.getServletInfo();
    }

    public final void init(ServletStub stub)
    throws ServletException
    {
        servlet.init(stub);
    }

    public final void service(ServletRequest request, ServletResponse response)
    throws ServletException, IOException
    {
        servlet.service(request, response);
    }
}

